Summary: HTTP server daemon to provide WWW services
Summary(de): Leading World Wide Web-Server
Summary(fr): Serveur Web leader du march
Summary(tr): Lider WWW tarayc
Name: apache
Version: 1.3.1
# Serial number taken from APACHE_RELEASE definition in src/include/httpd.h
# Update Serial Number when Apache version is changed.
Serial: 1030199
Release: 1
Group: Networking/Daemons
Source0: ftp://ftp.apache.org/apache/dist/apache_%{version}.tar.gz
# Used for CVS tarballs
#Source0: ftp://ftp.apache.org/httpd/from-cvs/apache_19980715190039.tar.gz
Source1: index.html
Source2: poweredby.gif
Source3: httpd.init
Source4: apache.log
Patch0: apache-1.3b8-htdocs.patch
Patch1: apache-1.3b8-suexec.patch
Patch2: apache-1.3b7-perlpath.patch
Patch3: apache-1.3b8-config.patch
Patch4: apache-1.3b8-mimetypes.patch
Copyright: BSD-like
Obsoletes: apache-suexec apache-extra apache-doc
BuildRoot: /var/tmp/apache-root
#Requires: /etc/mime.types
Requires: initscripts >= 3.25
Prereq: /sbin/chkconfig
URL: http://www.apache.org/
#Packager: Timo Karjalainen <timok@iki.fi>
#Packager: Ximenes Zalteca <ximenes@netset.com>
Packager: Manoj Kasichainula <manojk@io.com>

%description
Apache is a full featured web server that is freely available, and also
happens to be the most widely used.

%description -l de
Apache ist ein voll funktionsfhiger Web-Server, der kostenlos
erhltlich und weit verbreitet ist.

%description -l fr
Apache est un serveur Web complet, disponible librement, et se trouve tre
aussi le plus utilis  travers le monde.

%description -l tr
Apache serbest datlan ve ok kullanlan yetenekli bir web sunucusudur.

%prep 
%setup -n apache_%{version}
#%setup -c

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
#%patch4 -p1

%build

OPTIM="$RPM_OPT_FLAGS" ./configure --prefix=/usr --sysconfdir=/etc/httpd/conf \
	--datadir=/home/httpd --libexecdir=/usr/libexec/apache \
	--localstatedir=/var --runtimedir=/var/run --logfiledir=/var/log/httpd \
	--without-confadjust \
	--enable-module=auth_anon --enable-shared=auth_anon \
	--enable-module=auth_db --enable-shared=auth_db \
	--enable-module=digest --enable-shared=digest \
	--enable-module=expires --enable-shared=expires \
	--enable-module=headers --enable-shared=headers \
	--enable-module=mime_magic --enable-shared=mime_magic \
	--enable-module=mmap_static --enable-shared=mmap_static \
	--enable-module=proxy --enable-shared=proxy \
	--proxycachedir=/var/spool/proxy \
	--enable-module=rewrite --enable-shared=rewrite \
	--enable-module=speling --enable-shared=speling \
	--enable-module=status --enable-shared=status \
	--enable-module=unique_id --enable-shared=unique_id \
	--enable-module=usertrack --enable-shared=usertrack \
	--enable-suexec --suexec-caller=nobody \
	--suexec-uidmin=500 --suexec-gidmin=500

make

%install
rm -rf $RPM_BUILD_ROOT

make install-quiet root="$RPM_BUILD_ROOT"

mv $RPM_BUILD_ROOT/home/httpd/html/{index,index_apache}.html
install $RPM_SOURCE_DIR/{index.html,poweredby.gif} \
	$RPM_BUILD_ROOT/home/httpd/html

mkdir -p $RPM_BUILD_ROOT/etc/{logrotate.d,rc.d/init.d}
install $RPM_SOURCE_DIR/apache.log $RPM_BUILD_ROOT/etc/logrotate.d/apache
install $RPM_SOURCE_DIR/httpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/httpd

#install src/support/phf_abuse_log.cgi $RPM_BUILD_ROOT/home/httpd/cgi-bin

# Only needed for from_cvs tarballs, but doesn't hurt otherwise
rm -f $RPM_BUILD_ROOT/home/httpd/html/manual/expand.pl

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
/sbin/chkconfig --add httpd

%preun
if [ $1 = 0 ]; then
   if [ -f /var/lock/subsys/httpd ]; then
       /etc/rc.d/init.d/httpd stop
   fi
   /sbin/chkconfig --del httpd
fi

%files
%defattr(644 root root 755)
%attr(755,root,root)  %dir /etc/httpd
%attr(755,root,root)  %dir /etc/httpd/conf
%attr(644,root,root)  %config /etc/httpd/conf/*.conf
%attr(644,root,root)  %config /etc/httpd/conf/magic
%attr(644,root,root)  %config /etc/httpd/conf/mime.types
%attr(644,root,root)  /home/httpd/html/poweredby.gif
%attr(644,root,root)  %config /etc/logrotate.d/*
%attr( - ,root,root)  %doc ABOUT_APACHE src/CHANGES KEYS LICENSE README
%attr( - ,root,root)  %doc src/support/suexec.[ch]
%attr(755,root,root)  %dir /home/httpd
%attr(755,root,root)  %dir /home/httpd/html
%attr(644,root,root)  %config(noreplace) /home/httpd/html/index.html
%attr(755,root,root)  /etc/rc.d/init.d/*
%attr(644,root,root)  /etc/httpd/conf/*.conf.default
%attr( - ,root,root)  /home/httpd/cgi-bin
%attr( - ,root,root)  /home/httpd/icons
%attr( - ,root,root)  /usr/include/*
%attr( - ,root,root)  /usr/libexec/*
%attr(755,root,root)  /usr/bin/*
%attr(755,root,root)  /usr/sbin/ab
%attr(755,root,root)  /usr/sbin/apachectl
%attr(755,root,root)  /usr/sbin/apxs
%attr(755,root,root)  /usr/sbin/httpd
%attr(755,root,root)  /usr/sbin/logresolve
%attr(755,root,root)  /usr/sbin/rotatelogs
%attr(4755,root,root) /usr/sbin/suexec
%attr(644,root,root)  /usr/man/man1/*
%attr(644,root,root)  /usr/man/man8/*
%attr(755,root,root)  %dir /var/log/httpd
%attr( - ,root,root)  %docdir /home/httpd/html/manual
%attr( - ,root,root)  /home/httpd/html/manual

%changelog

* Sat Jul 18 1998 Manoj Kasichainula <manojk@io.com>
[1.3.1-1]
some of the changes from 1.3.0-1 (mine was done independantly, so there are
probably other changes)
- /etc/rc.d/init.d/httpd includes reload
- logrotate doesn't kill all httpd processes, just one. This is recommended.
- Doesn't uses Red Hat MIME typesm since RH mime.types doesn't include .htm,
  and there are other differences which will probably just cause lots of
  annoying bug reports
- Don't change ServerAdmin (this fake address is on purpose according
  to the Apache Group)
- don't enable mod_auth_dbm, since it can supposedly conflict with
  mod_auth_db

* Sun May 31 1998 Manoj Kasichainula <manojk@io.com>
[1.3b8_dev-1]
- Updated to 1.3b8_dev
- Deleted some patchwork because of improvements in APACI
- Added translations from RH 5.1 Apache RPM
- Loosened permissions to match RH 5.1 Apache RPM in /home
- Allow index.htm
- Collapsed doc package into main package (partly inspired by RPM bug)

* Fri May 22 1998 Manoj Kasichainula <manojk@io.com>
[1.3b7-0]
- Upgraded to 1.3b7
- Uses APACI configuration interface -- radical rewrite
- No more apache-extra, at least for now
- more descriptive Copyright field
- Now builds suEXEC
- Explicitly decided not to use built-in mime.types, but included patch to do
  so

* Thu Apr 16 1998 Manoj Kasichainula <manojk@io.com>
[1.3b6-4]
- Upgraded to 1.3b6
- Split perl path patch from other config (saves a little time when upgrading
  packages)
- Started the process of separating out shared modules. So far, only the proxy
  module has been done.
- Yeah, I'm aware of 1.3b6-3 RPM in contrib. It has problems that I would
  discuss with the packager if I could find out who that was.

* Thu Mar 5 1998 Manoj Kasichainula <manojk@io.com>

- Upgraded to 1.3b5
- Buildable by non-root

* Fri Jan 2 1998 Manoj Kasichainula <manojk@io.com>

- Includes changes from Red Hat 5.0's Apache release
  - added patch for backslash DoS attach
  - made the default index.html be config(noreplace) so we no longer
    blow away other folks' index.html
  - added chkconfig support
  - added restart|status options to initscript
  - renamed httpd.init to httpd
  - New index.html
  - Now uses Red Hat's mime.types file (I may change my mind on this)
  - No longer keeps an agent and referer log.
  - Much more
- Upgraded to 1.3b3
- Fixed sillyness in /etc/rc.d/init.d/httpd
- Now require recent version of initscripts with killproc fix.
- Changed logrotate script
- Undid Red Hat's ServerAdmin change (Red Hat's choice results in a
  seemingly valid but nonsensical address)
- suexec moved to /home/httpd/sbin/suexec
- Replaced a reference to apache_pb.gif to /icons/apache_pb.gif, to save a
  bit of space)

* Thu Oct 16 1997 Manoj Kasichainula <manojk@io.com>
- Upgraded to 1.3b2
- MaxRequestsPerChild upped to 10000
- apache-suexec absorbed into apache
- Uncommented Serial: line. Now, it requires a recent version of RPM

